import processing.core.PApplet;

public class Guides extends BoilerPlate {
	PApplet parent;

	int RED;
	int GREEN;
	int BLUE;
	int WHITE;

	int OPAQUE_RED;
	int OPAQUE_GREEN;
	int OPAQUE_BLUE;
	int OPAQUE_WHITE;
	int OPAQUE_WHITE2;

	Guides(PApplet p) {
		parent = p;

		RED = parent.color(255, 0, 0, 255);
		GREEN = parent.color(0, 255, 0, 255);
		BLUE = parent.color(0, 0, 255, 255);
		WHITE = parent.color(255, 255, 255, 255);

		OPAQUE_RED = parent.color(255, 0, 0, 51);
		OPAQUE_GREEN = parent.color(0, 255, 0, 51);
		OPAQUE_BLUE = parent.color(0, 0, 255, 51);
		OPAQUE_WHITE = parent.color(255, 255, 255, 51);
		OPAQUE_WHITE2 = parent.color(255, 255, 255, 15);

		setScope("Fan");
	}

	public void draw3DAxes(float radius) {

		parent.noFill();
		parent.strokeWeight(1);

		// lines
		parent.stroke(RED);
		parent.line(0, 0, 0, radius, 0, 0);
		parent.stroke(GREEN);
		parent.line(0, 0, 0, 0, radius, 0);
		parent.stroke(BLUE);
		parent.line(0, 0, 0, 0, 0, radius);

		parent.stroke(OPAQUE_GREEN);
		parent.pushMatrix();
		parent.translate(0, radius, 0);
		parent.box(10);
		parent.popMatrix();

		parent.stroke(OPAQUE_RED);
		parent.pushMatrix();
		parent.translate(radius, 0, 0);
		parent.box(10);
		parent.popMatrix();

		parent.stroke(OPAQUE_BLUE);
		parent.pushMatrix();
		parent.translate(0, 0, radius);
		parent.box(10);
		parent.popMatrix();

		parent.stroke(OPAQUE_WHITE);
		parent.ellipse(0, 0, 200, 200);
		parent.ellipse(0, 0, 180, 180);

		parent.stroke(OPAQUE_WHITE2);
		parent.box(radius * 2);
		
		parent.stroke(OPAQUE_WHITE2);
		parent.box(radius * 10);
	}

	public void draw2DScope() {
		parent.noFill();
		parent.strokeWeight(1.0f);
		parent.stroke(WHITE, 51);
		parent.ellipse(parent.width * .5f, parent.height * .5f, 200, 200);
		parent.ellipse(parent.width * .5f, parent.height * .5f, 180, 180); //

	}
}
